Product comparison · 2 ip phones

HP Poly Edge B10 IP Phone with Power Supply PRC vs Yealink SIP T42U

Add a product
  • 23specifications compared
  • 14differ
  • 9identical
  • 46known for one product only

Key differences

The Yealink SIP T42U has 1 more RJ-9 ports quantity than the HP Poly Edge B10 IP Phone with Power Supply PRC (2 vs 1). The HP Poly Edge B10 IP Phone with Power Supply PRC has 12.8 W more power consumption (typical) than the Yealink SIP T42U (15 W vs 2.2 W). The Yealink SIP T42U has 5 - 95% more operating relative humidity (H-H) than the HP Poly Edge B10 IP Phone with Power Supply PRC (10 - 95% vs 5 - 95%). Only the Yealink SIP T42U has Wi-Fi. Only the Yealink SIP T42U has Bluetooth.

  • Handset type
    • Edge B10 IP Phone with Power Supply PRC:Wired handset
    • SIP T42U:Wireless handset
  • Product colour
    • Edge B10 IP Phone with Power Supply PRC:Black
    • SIP T42U:Grey
  • Display diagonal
    • Edge B10 IP Phone with Power Supply PRC:7.11 cm (2.8")
    • SIP T42U:6.86 cm (2.7")
  • Wi-Fi
    • Edge B10 IP Phone with Power Supply PRC:No
    • SIP T42U:Yes
  • Bluetooth
    • Edge B10 IP Phone with Power Supply PRC:No
    • SIP T42U:Yes
  • RJ-9 ports quantity
    • Edge B10 IP Phone with Power Supply PRC:1
    • SIP T42U:2
  • Power consumption (typical)
    • Edge B10 IP Phone with Power Supply PRC:15 W
    • SIP T42U:2.2 W
  • Operating relative humidity (H-H)
    • Edge B10 IP Phone with Power Supply PRC:5 - 95%
    • SIP T42U:10 - 95%

Side by side

Differences highlightedShow differences only (off)
Comparison of Edge B10 IP Phone with Power Supply PRC, SIP T42U
69 specifications
Design2 differ
Product typeIP PhoneIP Phone
Handset typeDiffersWired handsetWireless handset
Product colourDiffersBlackGrey
Device lockKnown for oneUnknown — not stated by the sourceYes
MountingDesk/WallDesk/Wall
Wall mountableYesYes
Phone featuresidentical
Anonymous callKnown for oneUnknown — not stated by the sourceYes
Anonymous call rejectionKnown for oneUnknown — not stated by the sourceYes
Call forwardingKnown for oneUnknown — not stated by the sourceYes
Call historyKnown for oneUnknown — not stated by the sourceYes
Call holdKnown for oneUnknown — not stated by the sourceYes
Call parkKnown for oneUnknown — not stated by the sourceYes
Call pick upKnown for oneUnknown — not stated by the sourceYes
Call transferKnown for oneUnknown — not stated by the sourceYes
Call waitingKnown for oneUnknown — not stated by the sourceYes
Caller IDYesYes
Conference callKnown for oneUnknown — not stated by the sourceYes
Direct callKnown for oneUnknown — not stated by the sourceYes
Distinctive ringKnown for oneUnknown — not stated by the sourceYes
Do not disturb functionKnown for oneUnknown — not stated by the sourceYes
Full duplexKnown for oneUnknown — not stated by the sourceYes
Number of VoIP accountsKnown for oneUnknown — not stated by the source12
Phonebook capacityKnown for oneUnknown — not stated by the source1000 entries
RedialingKnown for oneUnknown — not stated by the sourceYes
Speed diallingKnown for oneUnknown — not stated by the sourceYes
Lines quantityKnown for one2 linesUnknown — not stated by the source
Management featuresidentical
Integrated voicemailKnown for oneUnknown — not stated by the sourceNo
Number of function keysKnown for oneUnknown — not stated by the source5
Number of programmable keysKnown for oneUnknown — not stated by the source6
Display1 differ
DisplayLCDLCD
Display diagonalDiffers7.11 cm (2.8")6.86 cm (2.7")
Display resolutionKnown for oneUnknown — not stated by the source192 x 68 pixels
TouchscreenKnown for oneNoUnknown — not stated by the source
Cameraidentical
Rear cameraKnown for oneUnknown — not stated by the sourceYes
Network2 differ
Ethernet LANYesYes
Ethernet LAN interface typeGigabit EthernetGigabit Ethernet
Wi-FiDiffersNoYes
BluetoothDiffersNoYes
Networking standardsKnown for oneUnknown — not stated by the sourceIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the source256-bit AES, HTTPS, TLS, WPA2, WPA3
Supported network protocolsKnown for oneUnknown — not stated by the sourceIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)
Ethernet LAN data ratesKnown for one10,100,1000 Mbit/sUnknown — not stated by the source
Ports & interfaces1 differ
USB 2.0 ports quantityKnown for oneUnknown — not stated by the source2
Ethernet LAN (RJ-45) ports22
RJ-9 ports quantityDiffers12
Headset connectivityKnown for one3.5 mmUnknown — not stated by the source
Power1 differ
Power consumption (typical)Differs15 W2.2 W
Power over Ethernet (PoE)Known for oneNoUnknown — not stated by the source
Operational conditions2 differ
Operating relative humidity (H-H)Differs5 - 95%10 - 95%
Operating temperature (T-T)Differs0 - 40 °C-10 - 50 °C
Storage temperature (T-T)Known for one-40 - 70 °CUnknown — not stated by the source
Weight & dimensions4 differ
WidthKnown for oneUnknown — not stated by the source212 mm
DepthKnown for oneUnknown — not stated by the source189 mm
HeightKnown for oneUnknown — not stated by the source175 mm
Package widthDiffers176 mm627 mm
Package depthDiffers163 mm256 mm
Package heightDiffers44 mm235 mm
Package weightDiffers960 g63 kg
Packaging content1 differ
AC adapter includedDiffersYesNo
Number of handles included1 pc(s)1 pc(s)
Mounting kitKnown for oneYesUnknown — not stated by the source
Cables includedKnown for oneLAN (RJ-45)Unknown — not stated by the source
HandsetKnown for oneYesUnknown — not stated by the source
Stand includedKnown for oneYesUnknown — not stated by the source
Audioidentical
SpeakerphoneKnown for oneYesUnknown — not stated by the source
Voice codecsKnown for oneG.711alaw, G.711ulaw, G.722, G.729ab, OPUS, iLBCUnknown — not stated by the source
Certificatesidentical
Sustainability certificatesKnown for oneENERGY STARUnknown — not stated by the source
Logistics dataidentical
Country of originKnown for oneChinaUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons